#include<bits/stdc++.h>
#define ll long long
#define ff first
#define ss second
#define pb push_back
using namespace std;
#include "partition.h"

std::vector<int> solve(std::vector<int> a) {
	int n = a.size();
	vector<int> v;
	if (n % 2 == 0){
		for (int i = 1; i < n; i += 2){
			v.pb(i);
		}
		for (int i = 0; i < n; i += 2){
			v.pb(i);
		}
	}else{
		for (int i = 0; i < n; i += 2){
			v.pb(i);
		}
		for (int i = 1; i < n; i += 2){
			v.pb(i);
		}
	}
	
	
	
    return v;
}